Create provider
curl --request POST \
--url https://api.example.com/api/bridge/v1/available-providers/{provider_controller_type_id}/available-credentials/{credential_controller_type_id} \
--header 'Content-Type: application/json' \
--data '
{
"display_name": "<string>",
"resource_server_credential_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider_instance_id": "<string>",
"return_on_successful_brokering": {
"url": "<string>",
"type": "url"
},
"user_credential_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.example.com/api/bridge/v1/available-providers/{provider_controller_type_id}/available-credentials/{credential_controller_type_id}"
payload = {
"display_name": "<string>",
"resource_server_credential_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider_instance_id": "<string>",
"return_on_successful_brokering": {
"url": "<string>",
"type": "url"
},
"user_credential_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
display_name: '<string>',
resource_server_credential_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
provider_instance_id: '<string>',
return_on_successful_brokering: {url: '<string>', type: 'url'},
user_credential_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.example.com/api/bridge/v1/available-providers/{provider_controller_type_id}/available-credentials/{credential_controller_type_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2023-11-07T05:31:56Z",
"credential_controller_type_id": "<string>",
"display_name": "<string>",
"id": "<string>",
"provider_controller_type_id": "<string>",
"resource_server_credential_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"return_on_successful_brokering": {
"url": "<string>",
"type": "url"
},
"user_credential_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"message": "<string>",
"data": "<unknown>"
}{
"message": "<string>",
"data": "<unknown>"
}bridge
Create provider
Create a new provider instance with the specified configuration
POST
/
api
/
bridge
/
v1
/
available-providers
/
{provider_controller_type_id}
/
available-credentials
/
{credential_controller_type_id}
Create provider
Path Parameters
Body
application/json
Response
Create provider instance
Show child attributes
Show child attributes
⌘I